<?php 


/**
 * Process: Edit Video Annotation
*/

if( !session_id())
    session_start();
 
if(isset($_POST['ytAddVideoAnnotation']))
{
    $location =  admin_url() ."admin.php?page=yt_edit_annotation";
    $videoID  = $_POST["vID"];

    $va = new YT_Video_Annotation();
    
    $va->videoID        = $videoID;
    $va->annText        = $_POST["vaText"];
    $va->annTop         = esc_html($_POST["vaTop"]);
    $va->annLeft        = esc_html($_POST["vaLeft"]);
    $va->annWidth       = esc_html($_POST["vaWidth"]);
    $va->annHeight      = esc_html($_POST["vaHeight"]);
    $va->annStart       = esc_html($_POST["vaStart"]);
    $va->annEnd         = esc_html($_POST["vaEnd"]);
    $va->annFont        = esc_html($_POST["vaFont"]);
    $va->annColor       = esc_html($_POST["vaColor"]);
    $va->annBackground  = esc_html($_POST["vaBackground"]);
    $va->annTrans_def   = esc_html($_POST["vaTrans_def"]);
    $va->annTrans_act   = esc_html($_POST["vaTrans_act"]);
    $va->annCloseButton = esc_html($_POST["vaCloseButton"]);;
    $va->annLinkActive  = $_POST["vaLinkActive"];
    $va->annLink        = esc_url($_POST["vaLink"]);
    $va->annLinkOpen    = ($_POST["vaOpenNew"]) ? $_POST["vaOpenNew"] : 1;
    $va->annStatus      = $_POST["vaStatus"];
    $va->dateCreated    = time();
    $va->dateModified   = time();

    if($va->ytInsertVideoAnnotation())
    {
        unset($_SESSION['obj']);
        $location = add_query_arg(array('m'=>1,'msg'=>'Video annotation has been added successfully!','videoID'=>$_GET['videoID']),$location);
    }
    else
    {
        $_SESSION['obj'] = serialize($va);
        $location = add_query_arg(array('m'=>0,'msg'=>'Video annotation has not been added!','videoID'=>$_GET['videoID']),$location);
    }
    Header("Location: $location");
}