<?php 

/**
 * Process: Insert Single Video
 */

if(isset($_POST['ytAddVideoSingle']))
{
    $location       =  admin_url() ."admin.php?page=yt_edit_annotation";
    $location_fail  =  admin_url() ."admin.php?page=yt_video_manage";
    
    $videoCat       = $_POST["vCat"];
    $arrVideoTitle  = $_POST["vTitle"];
    $arrVideoLink   = $_POST["vLink"];
    $arrVideoStatus = $_POST["vStatus"];
    $dateCreated    = time();
    $dateModified   = time();
    $userID         = (int)$_POST['vUserID'];

    $v = new YT_Video();
    $v->videoTitle              = esc_html($arrVideoTitle);
    $v->videoCat                = $videoCat;
    $v->videoLink               = esc_url($arrVideoLink);
    $v->videoStatus             = $arrVideoStatus;
    $v->dateCreated             = $dateCreated;
    $v->dateModified            = $dateModified;
    $v->userID                  = $userID;
    $v->youtubePlayerParameters = get_option('ytVideoPlayerGlobalOptions');
    $ytOptions                  = get_option('ytVideoManageOptions');
    $v->videoWidth              = $ytOptions['videoWidth'];
    $v->videoHeight             = $ytOptions['videoHeight'];
    $idofLastVideo              = $v->ytInsertVideoSingle();
    
    if($idofLastVideo)
    {
        $location = add_query_arg(array('m'=>1,'msg'=>"Video has been added successfully! Please start adding annotation.",'videoID'=>$idofLastVideo),$location);
    }
    else
    {
        $location = add_query_arg(array('m'=>0,'msg'=>"Video has not been added!"),$location_fail);
    }
    Header("Location:" . $location);
}