<?php 

/**
 * Process: Edit Video
*/

if(isset($_POST['ytEditVideo']))
{
    $videoID = $_POST["vID"];
    $v = new YT_Video();
    $v->ytGetVideo($videoID);

    $v->videoID      = $videoID;
    $v->videoTitle   = esc_html($_POST["vTitle"]);
    $v->videoCat     = $_POST["vCat"];
    $v->videoLink    = esc_url($_POST["vLink"]);
    $v->videoStatus  = ($_POST["vStatus"]) ? $_POST["vStatus"] : "0";
    $v->dateModified = time(); 
    
    $v->youtubePlayerParameters = array(
        'autohide'       => $_POST["youtubePlayerParameters"]['autohide'],
        'autoplay'       => $_POST["youtubePlayerParameters"]['autoplay'],
        'color'          => $_POST["youtubePlayerParameters"]['color'],
        'controls'       => $_POST["youtubePlayerParameters"]['controls'],
        'disablekb'      => $_POST["youtubePlayerParameters"]['disablekb'],
        'end'            => $_POST["youtubePlayerParameters"]['end'],
        'fs'             => $_POST["youtubePlayerParameters"]['fs'],
        'iv_load_policy' => $_POST["youtubePlayerParameters"]['iv_load_policy'],
        'loop'           => $_POST["youtubePlayerParameters"]['loop'],
        'modestbranding' => $_POST["youtubePlayerParameters"]['modestbranding'],
        'rel'            => $_POST["youtubePlayerParameters"]['rel'],
        'showinfo'       => $_POST["youtubePlayerParameters"]['showinfo'],
        'start'          => $_POST["youtubePlayerParameters"]['start'],
        'theme'          => $_POST["youtubePlayerParameters"]['theme']            
    );
    
    $v->videoWidth  = $_POST["vWidth"];
    $v->videoHeight = $_POST["vHeight"];
    
    if($v->ytUpdateVideo() >= 0)
    {
        $location = add_query_arg(array('m'=>1,'msg'=>'Video has been updated successfully!'));
    }
    else if($v->ytUpdateVideo() == false)
    {
        $location = add_query_arg(array('m'=>0,'msg'=>'Video has not been updated!'));
    }
    Header("Location: $location");
}