jQuery(function($) {

    var ytMenuUl = jQuery('li.toplevel_page_youtube_video_manage_page');
    ytMenuUl.find('a[href*="yt_video_edit_page"]').css('display', 'none');
    ytMenuUl.find('a[href*="yt_video_del_page"]').css('display', 'none');
    ytMenuUl.find('a[href*="yt_video_cat_edit_page"]').css('display', 'none');
    ytMenuUl.find('a[href*="yt_video_cat_del_page"]').css('display', 'none');

    var ytInfoVideoTable = '<div class="infoVideoWrapper1"><hr />';
    ytInfoVideoTable += '<div class="control-group">';
    ytInfoVideoTable += '<label class="control-label" for="vTitle">Title</label>';
    ytInfoVideoTable += '<div class="controls">';
    ytInfoVideoTable += '<input type="text" id="vTitle" placeholder="Title" name="vTitle[]"  value="" class="input-xlarge required"  >';
    ytInfoVideoTable += '</div>';
    ytInfoVideoTable += '</div>';


    ytInfoVideoTable += '<div class="control-group">';
    ytInfoVideoTable += '<label class="control-label" for="inputvLink">Link</label>';
    ytInfoVideoTable += '<div class="controls">';
    ytInfoVideoTable += '<input type="text" id="inputvLink" placeholder="Link" name="vLink[]"  value="" class="input-xlarge required"  >';
    ytInfoVideoTable += '</div>';
    ytInfoVideoTable += '</div>';

    ytInfoVideoTable += '<div class="control-group">';
    ytInfoVideoTable += '<label class="control-label" for="vOrder">Order</label>';
    ytInfoVideoTable += '<div class="controls">';
    ytInfoVideoTable += '<input type="text" id="vOrder" placeholder="Order" name="vOrder[]"  value="100" class="input-xlarge required digits"  >';
    ytInfoVideoTable += '</div>';
    ytInfoVideoTable += '</div>  ';

    ytInfoVideoTable += '<div class="control-group">';
    ytInfoVideoTable += '<label class="control-label" for="inputvLink">Status</label>';
    ytInfoVideoTable += '<div class="controls">';
    ytInfoVideoTable += '<select name="vStatus[]">';
    ytInfoVideoTable += '<option value="1">Published</option>';
    ytInfoVideoTable += '<option value="0">Unpublished</option>';
    ytInfoVideoTable += '</select><a href="javascript:void(0)" class="btn btn-danger removeVideoItem" title="Remove Video Item" style="margin-left:270px;"><i class="icon-white icon-remove"></i></a>';
    ytInfoVideoTable += '</div>';
    ytInfoVideoTable += '</div>';
    ytInfoVideoTable += '</div>';



    var ytVideoMessageError = '<p>Errors! Please check again infos you enter <br />';
    ytVideoMessageError += '- Video title is not empty <br />';
    ytVideoMessageError += '- Video link is not empty and must be link format (ex: http://www.youtube.com/watch?v=9bZkp7q19f0) <br />';
    ytVideoMessageError += '- Order is not empty and must be digits</p>';

    jQuery('.addMoreVideo').click(function(e) {
        e.preventDefault();
        e.stopPropagation();
        jQuery('.infoVideoWrapper').append(ytInfoVideoTable);
    });

    jQuery('body').on('click', '.removeVideoItem', function() {
        jQuery(this).parent().parent().parent().remove();
    });

    jQuery("#addVideoForm").validate();
    var validator = jQuery("#addVideoForm").bind("invalid-form.validate", function() {
        jQuery(".errorContainer").html(ytVideoMessageError);
        jQuery(".errorContainer").addClass("dpb");
    }).validate({
        debug: true,
        errorElement: "em",
        errorContainer: jQuery(".errorContainer")
    });

    jQuery('#editVideoForm').validate({
        rules: {
            vTitle: {
                required: true
            },
            vLink: {
                required: true,
                url: true
            },
            vOrder: {
                required: true,
                digits: true
            }
        },
        messages: {
            vTitle: {
                required: "Please enter video title"
            },
            vLink: {
                required: "Please enter video link",
                url: "Must be link format"
            },
            vOrder: {
                required: "Please enter order number"
            }
        }
    });

    jQuery('#editVideoCatForm').validate({
        rules: {
            catTitle: "required"
        },
        messages: {
            catTitle: {
                required: "Please enter category title"
            }
        }
    });

    jQuery('#optionVideoForm').validate({
        rules: {
            videoLimit: {
                required: true,
                digits: true
            },
            videoLimitAdmin: {
                required: true,
                digits: true
            },
            videoColumn: {
                required: true,
                digits: true
            },
            video_width: {
                required: true,
                digits: true
            },
            videoHeight: {
                required: true,
                digits: true
            }
        }
    });
});