<?php 
	$videoID     = $_GET['videoID'];
	$videoWidth  = $_GET['videoWidth'];
	$videoHeight = $_GET['videoHeight'];
	$uniqueYT    = $_GET['uniqueYT']; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title></title>
		<link href="<?php echo YT_CSS_URL . 'opentip.css'; ?>" rel="stylesheet" type="text/css" />

		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script type="text/javascript" src="<?php echo YT_JS_URL . 'jquery.opentip.min.js'; ?>"></script>
		<style type="text/css">
			body {
				padding: 0px;
				margin: 0px;
			}
			.ot-content {
				color: #fff;
			}
			.ot-content a{
				color:inherit;
				text-decoration: none;
			}
			iframe {
				overflow: hidden;
			}
			#canvas_box{
				height: <?php echo $videoHeight; ?>px;
				width: <?php echo $videoWidth; ?>px;
			}
			.opentip-container {
				max-width: 180px;
			}
		</style>
	</head>
	<body> <?php
		$args = array(
			'videoID'   => $videoID, 
			'isPublish' => 1
		);
		$video = YT_Video::ytGetVideos($args);
		if($video)
		{
			$vShow = "";
			foreach ($video as $vid)
			{ ?>
				<div id="canvas_box">
					<div id="player" name="NewFlashMovie"></div>
				</div>

                <script type="text/javascript"> <?php
                    $ytVideoAnns = YT_Video_Annotation::ytGetVideoAnnotations(array('videoID'=>$videoID)); ?>

                    function tipInit(){ <?php
                        foreach ($ytVideoAnns as $ytAnn) :
                            if($ytAnn->ann_status == 1) { 
                    
                                $link_target =  "";
                                $ann_link_final = 'javascript:void(0)';

                                if($ytAnn->ann_link_active == 1){
                                    if($ytAnn->ann_link != ''){
                                        $ann_link_final = $ytAnn->ann_link;
                                        if($ytAnn->ann_link_open == 0){
                                            $link_target =  "";
                                        }else if($ytAnn->ann_link_open == 1){
                                            $link_target = 'target=\"_blank\"';
                                        }
                                    }
                                }

                                if($ytAnn->ann_close_button == 1){
                                    $close_button = '"closeButton"';
                                }else{
                                    $close_button = 'null';
                                } ?>

                                Opentip.styles.glass<?php echo $ytAnn->ann_id; ?> = {
                                    target: true,
                                    shadow: false,
                                    stem: false,
                                    borderRadius: 0,
                                    borderWidth: 0,
                                    background: '<?php echo $ytAnn->ann_background; ?>'
                                };

                                <?php
                                    if($ann_link_final !== null){
                                        $ann_content = '<a href="'.$ann_link_final.'" '.$link_target.' >'.addslashes($ytAnn->ann_text).'</a>';
                                    }else{
                                        $ann_content = addslashes($ytAnn->ann_text);
                                    }
                                ?>
                    
                                Ann<?php echo $ytAnn->ann_id; ?> = new Opentip('#canvas_box', '<?php echo $ann_content; ?>', { 
                                    style: 'glass<?php echo $ytAnn->ann_id; ?>',
                                    target: '#canvas_box',
                                    fixed: true, 
                                    tipJoint: 'top left',
                                    showOn: null,
                                    hideOn: null,
                                    autoOffset: false,
                                    containInViewport: false, 
                                    offset: [parseInt(<?php echo $ytAnn->ann_left; ?>), parseInt(<?php echo $ytAnn->ann_top; ?>)],
                                    closeButtonOffset: [-8, -8],
                                    closeButtonCrossColor: 'rgba(0, 0, 0, 0)',
                                    hideTrigger: <?php echo $close_button; ?>
                                }); <?php
                            }
                        endforeach;?>
                    }

                    function annInit(){ <?php
                        foreach ($ytVideoAnns as $ytAnn) :
                            if($ytAnn->ann_status == 1) { ?>
                                jQuery("#opentip-" + Ann<?php echo $ytAnn->ann_id; ?>.id).find('.ot-close').click(function(){
                                    jQuery(this).data('clicked', true);
                                });
                                if((parseInt(player.getCurrentTime()) >= <?php echo $ytAnn->ann_start; ?> || parseInt(player.getCurrentTime()) <= <?php echo $ytAnn->ann_end; ?>) && jQuery("#opentip-" + Ann<?php echo $ytAnn->ann_id; ?>.id).find('.ot-close').data('clicked') !== true){
                                    Ann<?php echo $ytAnn->ann_id; ?>.show();
                                }
                                if(parseInt(player.getCurrentTime()) >= <?php echo $ytAnn->ann_end; ?> || parseInt(player.getCurrentTime()) <= <?php echo $ytAnn->ann_start; ?>){
                                    Ann<?php echo $ytAnn->ann_id; ?>.hide();
                                } <?php
                            }
                        endforeach; ?>
                    }

                    function annStyle(){ <?php
                        foreach ($ytVideoAnns as $ytAnn) :
                            if($ytAnn->ann_status == 1) { ?>
                                jQuery("#opentip-" + Ann<?php echo $ytAnn->ann_id; ?>.id).find('.ot-close').click(function(){
                                    jQuery(this).data('clicked', true);
                                });
                                if((parseInt(player.getCurrentTime()) >= <?php echo $ytAnn->ann_start; ?> || parseInt(player.getCurrentTime()) <= <?php echo $ytAnn->ann_end; ?>) && jQuery("#opentip-" + Ann<?php echo $ytAnn->ann_id; ?>.id).find('.ot-close').data('clicked') !== true){
                                    jQuery("#opentip-" + Ann<?php echo $ytAnn->ann_id; ?>.id).css('max-width', parseInt('<?php echo $ytAnn->ann_width; ?>')+'px');
                                    jQuery("#opentip-" + Ann<?php echo $ytAnn->ann_id; ?>.id + ' .opentip').css('font-size', '<?php echo $ytAnn->ann_font; ?>');
                                    annStyle<?php echo $ytAnn->ann_id; ?>();
                                } <?php
                            }
                        endforeach; ?>
                    } <?php

                    foreach ($ytVideoAnns as $ytAnn) :
                        if($ytAnn->ann_status == 1) { ?>
                            function annStyle<?php echo $ytAnn->ann_id; ?>() {
                                jQuery("#opentip-" + Ann<?php echo $ytAnn->ann_id; ?>.id + ' .ot-content').css('color', '<?php echo $ytAnn->ann_color; ?>');
                                jQuery("#opentip-" + Ann<?php echo $ytAnn->ann_id; ?>.id + ' canvas').css('opacity', '<?php echo $ytAnn->ann_trans_def; ?>');
                                jQuery("#opentip-" + Ann<?php echo $ytAnn->ann_id; ?>.id).mouseenter(function(){
                                    jQuery(this).find('canvas').stop().animate({
                                        opacity: <?php echo $ytAnn->ann_trans_act; ?> 
                                    }, 100);
                                });
                                jQuery("#opentip-" + Ann<?php echo $ytAnn->ann_id; ?>.id).mouseleave(function(){
                                    jQuery(this).find('canvas').stop().animate({
                                        opacity:<?php echo $ytAnn->ann_trans_def; ?> 
                                    }, 100);
                                });
                            } <?php
                        }
                    endforeach; ?>

                    var key;
                    var player;

                    var tag = document.createElement('script');
                    tag.src = "https://www.youtube.com/iframe_api";
                    var firstScriptTag = document.getElementsByTagName('script')[0];
                    firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

                    function onYouTubeIframeAPIReady() {
                        player = new YT.Player('player', {
                            height:  '<?php echo $videoHeight; ?>',
                            width:   '<?php echo $videoWidth; ?>',
                            videoId: '<?php echo YT_Video::get_youtube_id($vid->video_link) ?>',
                            events: {
                                'onReady': onPlayerReady,
                                'onStateChange': onPlayerStateChange
                            },
                            <?php 
                                $videoPlayerOptions = unserialize($vid->youtube_player_parameters); 
                            ?>
                            playerVars: {
                                modestbranding: <?php echo $videoPlayerOptions['modestbranding']; ?>,
                                enablejsapi: 1,
                                autohide :<?php echo $videoPlayerOptions['autohide']; ?>,
                                rel:<?php echo $videoPlayerOptions['rel']; ?>,
                                fs :<?php echo $videoPlayerOptions['fs']; ?>,
                                autoplay :<?php echo $videoPlayerOptions['autoplay']; ?>,
                                color :'<?php echo $videoPlayerOptions['color']; ?>',
                                controls :<?php echo $videoPlayerOptions['controls']; ?>,
                                disablekb :<?php echo $videoPlayerOptions['disablekb']; ?>,
                                iv_load_policy :<?php echo $videoPlayerOptions['loop']; ?>,
                                loop :<?php echo $videoPlayerOptions['fs']; ?>,
                                showinfo :<?php echo $videoPlayerOptions['showinfo']; ?>,
                                theme :'<?php echo $videoPlayerOptions['theme']; ?>',
                                start :<?php echo $videoPlayerOptions['start']; ?>,
                                end :<?php echo $videoPlayerOptions['end']; ?>,
                                wmode: "opaque"
                            }
                        });
                    }

                    function onPlayerReady(event) {
                        tipInit();
                        annStyle();

                        var key = setInterval("annInit()", 100);
                        if (typeof key === 'undefined') {
                            clearInterval(key);
                        }
                    }

                    function onPlayerStateChange(event) {
                        //annInit();
                        annStyle();
                    }

                </script> <?php
			}
		} ?>
	</body>
</html>