<?php 

/**
 * Create Menus
 */

function yt_create_menu() {

    add_menu_page('Traffic ROI Machine', 'Traffic ROI', 'manage_options', 'yt_video_manage', null);
	 
	$page_hook_suffix1 = add_submenu_page('yt_video_manage', 'Video Manager', 'Videos', 'edit_posts', 'yt_video_manage', 'yt_video_manage');
	add_action('admin_print_styles-'.$page_hook_suffix1, 'ytAddBackEndCSS');
	add_action('admin_print_scripts-'.$page_hook_suffix1, 'ytAddBackEndJS');

	$page_hook_suffix1 = add_submenu_page('yt_video_manage', 'Galleries', 'Galleries', 'manage_categories', 'yt_galleries_manager', 'yt_video_cat_manager');
	add_action('admin_print_styles-'.$page_hook_suffix1, 'ytAddBackEndCSS');
	add_action('admin_print_scripts-'.$page_hook_suffix1, 'ytAddBackEndJS'); 

	$page_hook_suffix1 = add_submenu_page('yt_video_manage', 'Video Manager Settings', 'Settings', 'manage_options', 'yt_settings', 'yt_video_option');
	add_action('admin_print_styles-'.$page_hook_suffix1, 'ytAddBackEndCSS');
	add_action('admin_print_scripts-'.$page_hook_suffix1, 'ytAddBackEndJS');

	$page_hook_suffix1 = add_submenu_page(NULL, NULL, NULL, 'edit_posts', 'yt_edit_annotation', 'yt_video_edit_annotation');
    add_action('admin_print_styles-'.$page_hook_suffix1, 'ytAddBackEndCSS');
	add_action('admin_print_scripts-'.$page_hook_suffix1, 'ytAddBackEndJS'); 

}
add_action( 'admin_menu', 'yt_create_menu' );