<?php 


/**
 * Process: Insert Video
 */

if(isset($_POST['ytAddVideo']))
{
    $videoCat       = $_POST["vCat"];
    $arrVideoTitle  = $_POST["vTitle"];
    $arrVideoLink   = $_POST["vLink"];
    $videoHeight    = $_POST["vHeight"];
    $videoWidth     = $_POST["vWidth"];
    $arrVideoStatus = $_POST["vStatus"];
    $dateCreated    = time();
    $dateModified   = time();
    $userID         = (int)$_POST['vUserID'];

    $countVideo = count($arrVideoTitle);
    $i=0;
    $j=0;
    for(; $i<$countVideo; $i++)
    {
        $v = new YT_Video();
        $v->videoTitle              = esc_html($arrVideoTitle[$i]);
        $v->videoCat                = $videoCat;
        $v->videoLink               = esc_url($arrVideoLink[$i]);
        $v->videoStatus             = $arrVideoStatus[$i];
        $v->dateCreated             = $dateCreated;
        $v->dateModified            = $dateModified;
        $v->userID                  = $userID;
        $v->youtubePlayerParameters = get_option('ytYoutubePlayerParameters');
        
        $ytOptions                  = get_option('ytVideoManageOptions');

        $v->videoWidth              = $ytOptions['videoWidth'];
        $v->videoHeight             = $ytOptions['videoHeight'];
        
        if($v->ytInsertVideo()){
            $j++;
        }
    }

    if($i == $j)
    {
        $location = add_query_arg(array('m'=>1,'msg'=>"Video(s) have been added successfully!"));
    }
    else
    {
        $location = add_query_arg(array('m'=>0,'msg'=>"Video(s) have not been added!"));
    }
    
    Header("Location: $location");
}