<?php 


/**
 * Register a shortcode
 */

add_shortcode('yt_video', 'ytSCVideo');

/**
 * Callback function for shortcode [yt_video]
 */
function ytSCVideo($attr){
    $ytOptions = get_option('ytVideoManageOptions');

    $videoID = (int)$attr['id'];

    if( !session_id()){
        session_start();
    }

    $unique_yt = uniqid('p');

    global $current_user;
    get_currentuserinfo();      
    $currentUserID = $current_user->ID;
        
    $args = array('videoID' => $videoID, 'isPublish' => 1);
    
    $video = YT_Video::ytGetVideos($args);
    if($video)
    {
        $vShow = "";
        foreach ($video as $vid)
        {
            $vShow['videoTitle'] = $vid->video_title;
            $videoWidthOption    = $vid->video_width;
            $videoWidth          = (isset($attr['width'])) ? $attr['width'] : $videoWidthOption;
            $videoHeightOption   = $vid->video_height;
            $videoHeight         = (isset($attr['height'])) ? $attr['height'] : $videoHeightOption;
            
            $view = '
            <div id="video_ifram_'.$vid->video_id.''.$unique_yt.'" style="width:'.($videoWidth).'px; height:'.($videoHeight).'px; ">
                <iframe width="'.($videoWidth).'" height="'.($videoHeight).'" src="'.site_url().'?yt_plugin_page=video_annotation&videoID='.$vid->video_id.'&videoWidth='.$videoWidth.'&videoHeight='.$videoHeight.'&uniqueYT='.$unique_yt.'" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen scrolling="no" class="iframe"></iframe>
            </div>';
        }
    }
    else
    {
        $view = "No Video ID found";
    }
    
    return $view;
}