<?php 

/**
 * Custom Menu Display
*/


/**
 * Function to display the "list video annotaion"
*/

function yt_video_annotation_manage($videoID){ ?>
    <div class="wrap"> 

        <hr />

        <h2 id="video_list_annotation">Annotation List <a class="btn btn-primary" style="float: right;margin-right: -10px;margin-top: -4px;" role="button" href="javascript:customAnn()">Preview Annotation</a></h2> 

        <hr />

        <table class="ytTable widefat">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Text</th>
                    <th>Duration</th>
                    <th>Position</th>
                    <th>Link</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <th>ID</th>
                    <th>Text</th>
                    <th>Duration</th>
                    <th>Position</th>
                    <th>Link</th>
                    <th>Action</th>
                </tr>
            </tfoot>

            <tbody> <?php 
                $ytVideoAnns = YT_Video_Annotation::ytGetVideoAnnotations(array('videoID'=>$videoID));
                foreach ($ytVideoAnns as $ytAnn): ?>
                    <tr>
                        <td><?php echo $ytAnn->ann_id; ?></td>
                        <td><?php echo $ytAnn->ann_text; ?></td>
                        <td><?php echo $ytAnn->ann_start. ' to '. $ytAnn->ann_end; ?></td>
                        <td>
                            <?php 
                                $position_text =  $ytAnn->ann_top.', '.$ytAnn->ann_left.', '.$ytAnn->ann_width.', '.$ytAnn->ann_height;
                                echo $position_text; 
                            ?>
                        </td>
                        <td><?php echo $ytAnn->ann_link; ?></td>
                        <td style="width:60px">
                            <a title="Edit" rel="tooltip" href="<?php echo admin_url(); ?>admin.php?page=yt_edit_annotation&modd=edit&videoID=<?php echo $videoID; ?>&annID=<?php echo $ytAnn->ann_id; ?>" class="btn btn-primary btn-mini">
                                <i class="icon-white icon-pencil"></i>
                            </a>
                            <a data-toggle="modal" data-target="#thModal1" title="Delete" rel="tooltip" href="<?php echo admin_url(); ?>admin-ajax.php?action=yt_video_annotation_del_ajax&annID=<?php echo $ytAnn->ann_id; ?>" class="btn btn-danger btn-mini">
                                <i class="icon-white icon-remove"></i>
                            </a>
                        </td>
                    </tr> <?php 
                endforeach; ?>
            </tbody>
        </table>
    </div>

    <div id="thModal1" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="thModalLabel" aria-hidden="true">
        <form method="POST" action="">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h3 id="thModalLabel">Delete Annotation</h3>
            </div>
            <div class="modal-body">
                <p>Loading…</p>
            </div>
            <div class="modal-footer">
                <button class="btn" data-dismiss="modal" aria-hidden="true">Close</button>
                <button type="submit" class="btn btn-danger" name="ytDelVideoAnnotation_Yes">Delete</button>
            </div>
        </form>
    </div>

    <script type="text/javascript">
        jQuery(document).ready(function($) {
            jQuery('body').on('hidden', '.modal', function () {
                jQuery(this).removeData('modal');
            });
        });
    </script> <?php
}