<?php 
/**
 * Custom Menu Display
*/


/**
 * Function to display the "video option" page
*/
function yt_video_option(){ ?>
	<div class="wrap">
		<?php screen_icon('options-general'); ?>
		<h2>Video Manager Default Settings</h2>
		<hr />
		<?php 

			if(isset($_GET["m"]))
			{
				$m = $_GET["m"];
				$msg = $_GET["msg"];
				yt_show_message($msg , $m);
			}

			$ytOptions = get_option('ytVideoManageOptions');
			$ytVideoPGO = get_option('ytVideoPlayerGlobalOptions');
		?>
		<form id="optionVideoForm" method="POST" action="" class="form-horizontal">

			<div class="control-group">
				<label class="control-label" for="videoWidth">Default video width</label>
				<div class="controls">
					<input type="text" id="videoWidth" placeholder="Width" value="<?php echo $ytOptions['videoWidth']; ?>" name="videoWidth" class="input-xlarge">
				</div>
			</div>

			<div class="control-group">
				<label class="control-label" for="videoHeight">Default video height</label>
				<div class="controls">
					<input type="text" id="videoHeight" placeholder="Height" value="<?php echo $ytOptions['videoHeight']; ?>" name="videoHeight" class="input-xlarge">
				</div>
			</div>

			<h2>Video Player Default Settings</h2>
				
			<div class="control-group">
				<label class="control-label" for="hid_thDropdownx">Auto Hide Controls</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown" name="youtubePlayerParameters[autohide]" value="<?php echo $ytVideoPGO['autohide']; ?>"	>
					<div id="thDropdown"></div>
				</div>
			</div>
				
			<div class="control-group">
				<label class="control-label" for="hid_thDropdown1">Auto Play Video</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown1" name="youtubePlayerParameters[autoplay]" value="<?php echo $ytVideoPGO['autoplay']; ?>">
					<div id="thDropdown1"></div>
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label" for="hid_thDropdown2">Progress Bar Color</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown2" name="youtubePlayerParameters[color]" value="<?php echo $ytVideoPGO['color']; ?>">
					<div id="thDropdown2"></div>
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label" for="hid_thDropdown3">Display Player Controls</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown3" name="youtubePlayerParameters[controls]" value="<?php echo $ytVideoPGO['controls']; ?>">
					<div id="thDropdown3"></div>
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label" for="hid_thDropdown4">Keyboard Controls</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown4" name="youtubePlayerParameters[disablekb]" value="<?php echo $ytVideoPGO['disablekb']; ?>">
					<div id="thDropdown4"></div>
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label" for="hid_thDropdown5">Fullscreen Display</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown5" name="youtubePlayerParameters[fs]" value="<?php echo $ytVideoPGO['fs']; ?>">
					<div id="thDropdown5"></div>
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label" for="hid_thDropdown6">Show Annotations</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown6" name="youtubePlayerParameters[iv_load_policy]" value="<?php echo $ytVideoPGO['iv_load_policy']; ?>"  />
					<div id="thDropdown6"></div>
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label" for="hid_thDropdown7">Play Video in Loop</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown7" name="youtubePlayerParameters[loop]" value="<?php echo $ytVideoPGO['loop']; ?>">
					<div id="thDropdown7"></div>
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label" for="hid_thDropdown8">Show YouTube Logo</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown8" name="youtubePlayerParameters[modestbranding]" value="<?php echo $ytVideoPGO['modestbranding']; ?>">
					<div id="thDropdown8"></div>
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label" for="hid_thDropdown9">Show Related Videos</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown9" name="youtubePlayerParameters[rel]" value="<?php echo $ytVideoPGO['rel']; ?>">
					<div id="thDropdown9"></div>
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label" for="hid_thDropdown10">Display Videos Information</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown10" name="youtubePlayerParameters[showinfo]" value="<?php echo $ytVideoPGO['showinfo']; ?>">
					<div id="thDropdown10"></div>
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label" for="hid_thDropdown11">Player Theme</label>
				<div class="controls">
					<input type="hidden" id="hid_thDropdown11" name="youtubePlayerParameters[theme]" value="<?php echo $ytVideoPGO['theme']; ?>">
					<div id="thDropdown11"></div>
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label">Start Time</label>
				<div class="controls">
					<input type="text" size="3" name="youtubePlayerParameters[start]" value="<?php echo $ytVideoPGO['start']; ?>" class="input-xlarge">
				</div>
			</div>
			
			<div class="control-group">
				<label class="control-label">End Time</label>
				<div class="controls">
					<input type="text" size="3" name="youtubePlayerParameters[end]" value="<?php echo $ytVideoPGO['end']; ?>" class="input-xlarge">
				</div>
			</div>
			
			<style type="text/css">
				.dd-select {
					border: 1px solid #CCCCCC;
					border-radius: 2px 2px 2px 2px;
					cursor: pointer;
					position: relative;
				}
				.dd-desc {
					color: #AAAAAA;
					display: block;
					font-weight: normal;
					line-height: 1.4em;
					overflow: hidden;
				}
				.dd-selected {
					display: block;
					font-weight: bold;
					overflow: hidden;
					padding: 4px;
				}
				.dd-pointer {
					height: 0;
					margin-top: -3px;
					position: absolute;
					right: 10px;
					top: 50%;
					width: 0;
				}
				.dd-pointer-down {
					-moz-border-bottom-colors: none;
					-moz-border-left-colors: none;
					-moz-border-right-colors: none;
					-moz-border-top-colors: none;
					border-color: #000000 transparent transparent;
					border-image: none;
					border-right: 5px solid transparent;
					border-style: solid;
					border-width: 5px;
				}
				.dd-pointer-up {
					-moz-border-bottom-colors: none !important;
					-moz-border-left-colors: none !important;
					-moz-border-right-colors: none !important;
					-moz-border-top-colors: none !important;
					border-color: transparent transparent #000000 !important;
					border-image: none !important;
					border-style: solid !important;
					border-width: 5px !important;
					margin-top: -8px;
				}
				.dd-options {
					-moz-border-bottom-colors: none;
					-moz-border-left-colors: none;
					-moz-border-right-colors: none;
					-moz-border-top-colors: none;
					background: none repeat scroll 0 0 #FFFFFF;
					border-color: -moz-use-text-color #CCCCCC #CCCCCC;
					border-image: none;
					border-right: 1px solid #CCCCCC;
					border-style: none solid solid;
					border-width: medium 1px 1px;
					box-shadow: 0 1px 5px #DDDDDD;
					display: none;
					list-style: none outside none;
					margin: 0;
					overflow: auto;
					padding: 0;
					position: absolute;
					z-index: 2000;
				}
				.dd-option {
					border-bottom: 1px solid #DDDDDD;
					color: #333333;
					cursor: pointer;
					display: block;
					overflow: hidden;
					padding: 10px;
					text-decoration: none;
					transition: all 0.25s ease-in-out 0s;
				}
				.dd-options > li:last-child > .dd-option {
					border-bottom: medium none;
					text-decoration: none;
				}
				.dd-option:hover {
					background: none repeat scroll 0 0 #F3F3F3;
					color: #000000;
					text-decoration: none;
				}
				.dd-selected-description-truncated {
					text-overflow: ellipsis;
					white-space: nowrap;
				}
				.dd-option-selected {
					background: none repeat scroll 0 0 #F6F6F6;
					text-decoration: none;
				}
				.dd-option-image, .dd-selected-image {
					float: left;
					margin-right: 5px;
					max-width: 64px;
					vertical-align: middle;
				}
				.dd-image-right {
					float: right;
					margin-left: 5px;
					margin-right: 15px;
				}
				.dd-container {
					position: relative;
				}
				​ .dd-selected-text {
					font-weight: bold;
				}
				.dd-selected {
					color: #000000;
					text-decoration: none;
				}
				.dd-selected:hover {
					color: #000000;
					text-decoration: none;
				}
			</style>

			<script type="text/javascript" >
				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['autohide'] == 0){

						$default1_select = 'false';
						$default2_select = 'false';
						$default3_select = 'true';

					}elseif($ytVideoPGO['autohide'] == 1){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['autohide'] == 2){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}
				?>

				var ddData = [
					{
						text: "Yes, Hide Only Progress Bar",
						value: 2,
						selected: <?php echo $default1_select; ?>,
						description: "The video progress bar will fade out while the player controls (play button, volume control, etc.) remain visible."
					},
					{
						text: "Yes, Hide All",
						value: 1,
						selected: <?php echo $default2_select; ?>,
						description: "The video progress bar and the player controls will slide out of view a couple of seconds after the video starts playing."
					},
					{
						text: "No",
						value: 0,
						selected: <?php echo $default3_select; ?>,
						description: "The video progress bar and the video player controls will be visible throughout the video and in fullscreen."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown').ddslick({
						data:ddData,
						width:268,
						selectText: "Select your preferred social network",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown').val(selectedData.selectedData.value);
						}   
					});
				});

				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['autoplay'] == 1){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}elseif($ytVideoPGO['autoplay'] == 2){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['autoplay'] == 2){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}
				?>

				var ddData1 = [
					{
						text: "Yes",
						value: 1,
						selected: <?php echo $default1_select; ?>,
						description: "Video will autoplay when the player loads."
					},
					{
						text: "No",
						value: 2,
						selected: <?php echo $default2_select; ?>,
						description: "video will not autoplay when the player loads."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown1').ddslick({
						data:ddData1,
						width:268,
						selectText: "Select Your Option",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown1').val(selectedData.selectedData.value);
						}   
					});
				});

				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['color'] == 1){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}elseif($ytVideoPGO['color'] == 2){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['color'] == 2){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}
				?>

				var ddData2 = [
					{
						text: "Red",
						value: 1,
						selected: <?php echo $default1_select; ?>,
						description: "The player will use the color red in the video progress bar."
					},
					{
						text: "White",
						value: 2,
						selected: <?php echo $default2_select; ?>,
						description: "The player will use the color white in the video progress bar."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown2').ddslick({
						data:ddData2,
						width:268,
						selectText: "Select Your Option",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown2').val(selectedData.selectedData.value);
						}   
					});
				});

				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['controls'] == 0){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}elseif($ytVideoPGO['controls'] == 1){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['controls'] == 2){

						$default1_select = 'false';
						$default2_select = 'false';
						$default3_select = 'true';

					}
				?>

				var ddData3 = [
					{
						text: "No",
						value: 0,
						selected: <?php echo $default1_select; ?>,
						description: "Player controls do not display in the player. For AS3 players, the Flash player loads immediately."
					},
					{
						text: "Yes, Loads player immediately",
						value: 1,
						selected: <?php echo $default2_select; ?>,
						description: "Player controls display in the player. For AS3 players, the Flash player loads immediately."
					},
					{
						text: "Yes, Loads player after start",
						value: 2,
						selected: <?php echo $default3_select; ?>,
						description: " Player controls display in the player. For AS3 players, the Flash player loads afer the user initiates the video playback."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown3').ddslick({
						data:ddData3,
						width:268,
						selectText: "Select your preferred social network",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown3').val(selectedData.selectedData.value);
						}   
					});
				});

				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['disablekb'] == 0){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}elseif($ytVideoPGO['disablekb'] == 1){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['disablekb'] == 2){

						$default1_select = 'false';
						$default2_select = 'false';
						$default3_select = 'true';

					}
				?>

				var ddData4 = [
					{
						text: "Enable",
						value: 0,
						selected: <?php echo $default1_select; ?>,
						description: "Disable the player keyboard controls."
					},
					{
						text: "Disable",
						value: 1,
						selected: <?php echo $default2_select; ?>,
						description: "Enable the player keyboard controls."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown4').ddslick({
						data:ddData4,
						width:268,
						selectText: "Select the player keyboard controls options",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown4').val(selectedData.selectedData.value);
						}   
					});
				});

				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['fs'] == 0){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}elseif($ytVideoPGO['fs'] == 1){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['fs'] == 2){

						$default1_select = 'false';
						$default2_select = 'false';
						$default3_select = 'true';

					}
				?>

				var ddData5 = [
					{
						text: "Disable",
						value: 0,
						selected: <?php echo $default1_select; ?>,
						description: "Hide fullscreen button in player."
					},
					{
						text: "Enable",
						value: 1,
						selected: <?php echo $default2_select; ?>,
						description: "Show fullscreen button in player."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown5').ddslick({
						data:ddData5,
						width:268,
						selectText: "Select the options",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown5').val(selectedData.selectedData.value);
						}   
					});
				});

				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['iv_load_policy'] == 0){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}elseif($ytVideoPGO['iv_load_policy'] == 1){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['iv_load_policy'] == 2){

						$default1_select = 'false';
						$default2_select = 'false';
						$default3_select = 'true';

					}
				?>

				var ddData6 = [
					{
						text: "No",
						value: 0,
						selected: <?php echo $default1_select; ?>,
						description: "Hide annotations in player."
					},
					{
						text: "Yes",
						value: 1,
						selected: <?php echo $default2_select; ?>,
						description: "Show annotations in player."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown6').ddslick({
						data:ddData6,
						width:268,
						selectText: "Select the options",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown6').val(selectedData.selectedData.value);
						}   
					});
				});

				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['loop'] == 0){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}elseif($ytVideoPGO['loop'] == 1){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['loop'] == 2){

						$default1_select = 'false';
						$default2_select = 'false';
						$default3_select = 'true';

					}
				?>

				var ddData7 = [
					{
						text: "No",
						value: 0,
						selected: <?php echo $default1_select; ?>,
						description: "Just play once.."
					},
					{
						text: "Yes",
						value: 1,
						selected: <?php echo $default2_select; ?>,
						description: "This setting will cause the player to play the video again and again."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown7').ddslick({
						data:ddData7,
						width:268,
						selectText: "Select the options",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown7').val(selectedData.selectedData.value);
						}   
					});
				});

				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['modestbranding'] == 0){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}elseif($ytVideoPGO['modestbranding'] == 1){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['modestbranding'] == 2){

						$default1_select = 'false';
						$default2_select = 'false';
						$default3_select = 'true';

					}
				?>

				var ddData8 = [
					{
						text: "No",
						value: 1,
						selected: <?php echo $default1_select; ?>,
						description: "Does not show YouTube logo. Prevent the YouTube logo from displaying in the control bar."
					},
					{
						text: "Yes",
						value: 0,
						selected: <?php echo $default2_select; ?>,
						description: "Show YouTube logo. The YouTube logo will display in the control bar."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown8').ddslick({
						data:ddData8,
						width:268,
						selectText: "Select the options",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown8').val(selectedData.selectedData.value);
						}   
					});
				});

				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['rel'] == 0){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}elseif($ytVideoPGO['rel'] == 1){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['rel'] == 2){

						$default1_select = 'false';
						$default2_select = 'false';
						$default3_select = 'true';

					}
				?>

				var ddData9 = [
					{
						text: "No",
						value: 0,
						selected: <?php echo $default1_select; ?>,
						description: "The player will not show related videos when playback of the initial video ends."
					},
					{
						text: "Yes",
						value: 1,
						selected: <?php echo $default2_select; ?>,
						description: "The player will show related videos when playback of the initial video ends."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown9').ddslick({
						data:ddData9,
						width:268,
						selectText: "Select the options",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown9').val(selectedData.selectedData.value);
						}   
					});
				});

				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['showinfo'] == 0){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}elseif($ytVideoPGO['showinfo'] == 1){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['showinfo'] == 2){

						$default1_select = 'false';
						$default2_select = 'false';
						$default3_select = 'true';

					}
				?>

				var ddData10 = [
					{
						text: "No",
						value: 0,
						selected: <?php echo $default1_select; ?>,
						description: "The player will not display information like the video title and uploader before the video starts playing."
					},
					{
						text: "Yes",
						value: 1,
						selected: <?php echo $default2_select; ?>,
						description: "The player will display information like the video title and uploader before the video starts playing."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown10').ddslick({
						data:ddData10,
						width:268,
						selectText: "Select the options",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown10').val(selectedData.selectedData.value);
						}   
					});
				});

				<?php 
					$default1_select = 'false';
					$default2_select = 'false';
					$default3_select = 'false';
					if($ytVideoPGO['theme'] == 'dark'){

						$default1_select = 'true';
						$default2_select = 'false';
						$default3_select = 'false';

					}elseif($ytVideoPGO['theme'] == 'light'){

						$default1_select = 'false';
						$default2_select = 'true';
						$default3_select = 'false';

					}elseif($ytVideoPGO['theme'] == 2){

						$default1_select = 'false';
						$default2_select = 'false';
						$default3_select = 'true';

					}
				?>

				var ddData11 = [
					{
						text: "Dark Theme",
						value: 'dark',
						selected: <?php echo $default1_select; ?>,
						description: "The player will display player controls using the dark theme."
					},
					{
						text: "Light Theme",
						value: 'light',
						selected: <?php echo $default2_select; ?>,
						description: "The player will display player controls using the light theme."
					}
				];

				jQuery(document).ready(function(){
					jQuery('#thDropdown11').ddslick({
						data:ddData11,
						width:268,
						selectText: "Select the options",
						imagePosition:"right",
						onSelected: function(selectedData){
							jQuery('#hid_thDropdown11').val(selectedData.selectedData.value);
						}   
					});
				});
			</script>

			<div class="control-group">
				<label class="control-label"></label>
				<div class="controls">
					<input type="submit" name="ytUpdateVideoOptions" value="Save Settings" class="btn btn-primary" />
				</div>
			</div>
		</form>
	</div> <?php
}
